#!/bin/bash

echo "Option 1: Use hyperref and hypersetup in LaTeX directly"
pdflatex option1.tex
rm option1.aux option1.log

echo "Option 2: Use pdfinfo macro in LaTeX"
pdflatex option2.tex
rm option2.aux option2.log

echo "Option 3: Use pdftk"
# To install exiftool on Ubuntu: sudo apt-get install pdftk
pdftk option1.pdf update_info meta.txt output option2.pdf

echo "Option 4: Use exiftool"
# To install exiftool on Ubuntu: sudo apt-get install libimage-exiftool-perl
cp option1.pdf option3.pdf
exiftool -Title="PDF meta title via exiftool" -Author="PDF meta author via exiftool" -Subject="PDF meta subject via exiftool" -Keywords="PDF meta keywords via exiftool" option3.pdf

echo "Option 5: Use ghostview"
gs -q -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=option4.pdf option1.pdf pdfmarks


